Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.document.format
Enum TextOrientation

    java.lang.Object
      java.lang.Enum<TextOrientation>
          info.bioinfweb.treegraph.document.format.TextOrientation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TextOrientation>

    public enum TextOrientation

extends java.lang.Enum<TextOrientation>

Enum Constant Summary
`DOWN`
`HORIZONTAL`
`UP`

Method Summary
`static TextOrientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextOrientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HORIZONTAL

    public static final TextOrientation HORIZONTAL

### DOWN

    public static final TextOrientation DOWN

### UP

    public static final TextOrientation UP

Method Detail

### values

    public static TextOrientation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TextOrientation c : TextOrientation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TextOrientation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD